# UniTAP.dev.ports.modules.link.dp.link_rx_aux_controller

class DisplayPortAUXController:

Class `DisplayPortAUXController` describes information about DP AUX Controller. Contains following info:

- configure routed LT `exec_routed_lt`
- read routed T status `status`
- request PHY test pattern `request_phy_test_pattern`

DisplayPortAUXController( port_io: UniTAP.libs.lib_tsi.tsi_io.PortIO, dpcd: UniTAP.dev.ports.modules.dpcd.dpcd.DPCDRegisters)
def enable(self, enable: bool):

Enable or disable Routed LT.

###### Arguments:

- enable ('bool')

def exec_routed_lt( self, config: UniTAP.dev.ports.modules.link.dp.link_rx_types.RoutedLTConfig, use_ta_request: bool = False):

Execute routed link training with transferred configuration.

###### Arguments:

- config ('RoutedLTConfig')
- use_ta_request (`bool`)

def request_phy_test_pattern( self, pattern: int, sq_num: int, config: UniTAP.dev.ports.modules.link.dp.link_rx_types.RoutedLTConfig ):

Request PHY test pattern.

###### Arguments:

- config ('RoutedLTConfig')
- pattern (`int`)
- sq_num (`int`)

def status(self) -> UniTAP.dev.ports.modules.link.dp.link_rx_types.RoutedLTStatus:

Get Routed link training status.

###### Returns:

> object of `RoutedLTStatus`